

CURRENT_PATH=`pwd`


clear
echo "--- SystemGuard Setup v 2.0 --"
echo ""
echo ""
echo "This will update SystemGuards files."
echo "It will NOT touch any other files"
echo "----------------------------------------"
echo "Where is the Bourne Shell located "
echo "[ /bin/sh] ?" 
read SHELL_PATH
echo ""
echo "Where is your syslog file located ?"
echo "[/var/adm/syslog.log] ?"
read ASK_SYSLOG_FILE
echo ""
echo "Where is your sulog file located ?"
echo "[/var/adm/sulog] ?"
read ASK_SULOG_FILE
echo ""
echo "What mailer program do you use to mail ?"
echo "[mailx] ?"
read ASK_MAILER
echo "......................................."
echo ""
echo "Updating file....:"

cat ./SETUP.conf | while read LINE
do
  NO_DATA=`echo $LINE | grep FILE_NAME`
  if [ -z "$NO_DATA" ];then
    FILE_NAME=`echo $LINE | awk '{print $1}'`
    SHELL_CHANGE=`echo $LINE | awk '{print $2}'`  
    SG_CHANGE=`echo $LINE | awk '{print $3}'`
    PERM_CHANGE=`echo $LINE | awk '{print $4}'`

    echo "   $FILE_NAME"

    if [ "$SHELL_CHANGE" = "YES" ];then
      if [ "$SHELL_PATH" = "" ];then
        SHELL_PATH=/bin/sh
      fi
      echo "#!$SHELL_PATH" > ./$FILE_NAME.new
      cat ./$FILE_NAME >> ./$FILE_NAME.new
      mv ./$FILE_NAME.new ./$FILE_NAME
    fi
    
    if [ "$SG_CHANGE" = "YES" ];then
      echo "" > ./$FILE_NAME.new
      cat ./$FILE_NAME | while read ROW
      do
        VARIABLE=`echo $ROW | grep "SYSTEM_GUARD="`
        if [ -n "$VARIABLE" ];then
          ROW="SYSTEM_GUARD=$CURRENT_PATH"
        fi
        echo $ROW >> ./$FILE_NAME.new
      done
      mv ./$FILE_NAME.new ./$FILE_NAME
    fi
        
    if [ "$PERM_CHANGE" = "YES" ];then
      chmod 744 ./$FILE_NAME
      chown root ./$FILE_NAME
    fi
  fi
done      
       

echo "HOST_NAME=`hostname`" > ./General.conf
echo "SYSTEM_GUARD=$CURRENT_PATH" >> ./General.conf

if [ "$ASK_SYSLOG_FILE" = "" ];then
  echo "SYSLOG_FILE=/var/adm/syslog.log" >> ./General.conf
else
  echo "SYSLOG_FILE=$ASK_SYSLOG_FILE" >> ./General.conf
fi

if [ "$ASK_SULOG_FILE" = "" ];then
  echo "SULOG_FILE=/var/adm/sulog" >> ./General.conf
else
  echo "SULOG_FILE=$ASK_SULOG_FILE" >> ./General.conf
fi

if [ "$ASK_MAILER" = "" ];then
  echo "MAILER_PROG=mailx" >> ./General.conf
else
  echo "MAILER_PROG=$ASK_MAILER" >> ./General.conf
fi

echo "export SYSTEM_GUARD HOST_NAME SYSLOG_FILE SULOG_FILE MAILER_PROG" >> ./General.conf
chmod 444 ./General.conf
chmod 744 ./SETUP.sh
chown root ./SETUP.sh

echo "----------------------------------------"
echo "Installation done"
echo ""
echo ""
echo ""
exit

