
. $SYSTEM_GUARD/General.conf
WARN_TYPE=`echo $1`
INFO=`echo $2`
MAIL_FILE="/tmp/mail001"
MAIL_FILE_OLD="/tmp/mail001.old"

DUMMY=`cat $SYSTEM_GUARD/Data/inforeceivers.txt`
if [ "$DUMMY" = "" ]; then
  exit 0
fi

MakeMailFile ()
{
  echo "$HOST_NAME" > $MAIL_FILE 
  echo "$WARN_TYPE $INFO" >> $MAIL_FILE
}

SendMail ()
{
  if [ -f "$MAIL_FILE_OLD" ]; then
    DIFF_MAIL=`diff $MAIL_FILE $MAIL_FILE_OLD`
  else
    touch $MAIL_FILE_OLD
    DIFF_MAIL=`diff $MAIL_FILE $MAIL_FILE_OLD`
  fi
  if [ -n "$DIFF_MAIL" ]; then
    $MAILER_PROG -s"$HOST_NAME $WARN_TYPE" $USER < $MAIL_FILE
  fi
}
 

cat $SYSTEM_GUARD/Data/inforeceivers.txt | while read LINE
do
  USER=`echo $LINE| awk '{print $1}'`
  MakeMailFile
  SendMail
done

cp $MAIL_FILE $MAIL_FILE_OLD

