
. $SYSTEM_GUARD/General.conf

DUMMY=`cat $SYSTEM_GUARD/Data/dbinstances.txt`
if [ "$DUMMY" = "" ]; then
  exit 0
fi

WARN_TYPE="INSTANCE_DOWN"

if [ -f "$SYSTEM_GUARD/Data/dbinstances.new" ]; then
  rm $SYSTEM_GUARD/Data/dbinstances.new
fi
touch $SYSTEM_GUARD/Data/dbinstances.new

cat $SYSTEM_GUARD/Data/dbinstances.txt | while read Line
do
  InstanceName=`echo $Line | awk '{print $1}'`
  if [ -n "$InstanceName" ]; then
    echo $InstanceName >> $SYSTEM_GUARD/Data/dbinstances.new
  fi
done

cat $SYSTEM_GUARD/Data/dbinstances.new | while read Line
do
  InstanceName=`echo $Line | awk '{print $1}'`
  Process=`ps -ef | grep ora_pmon_$InstanceName | grep -v grep`

  if [ -z "$Process" ]; then
    $SYSTEM_GUARD/SendWarning.sh $WARN_TYPE "$InstanceName"
  fi
done
exit 0
